//package com.ozs.web.controller.shotschedule;
//
//import com.ozs.system.service.ISysDictDataService;
//import com.ozs.system.service.ISysDictTypeService;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.beans.factory.annotation.Value;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.scheduling.annotation.Async;
//import org.springframework.scheduling.annotation.EnableAsync;
//import org.springframework.scheduling.annotation.EnableScheduling;
//import org.springframework.scheduling.annotation.Scheduled;
//import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;
//
//import javax.annotation.Resource;
//
///**
// * @author wyy
// * @subject
// * @creat 2024/3/1
// */
//@Configuration
//@EnableScheduling
//@EnableAsync
//@Slf4j
//public class ShotPictureExecutors {
//    @Autowired
//    private ISysDictDataService dictDataService;
//    @Autowired
//    private ISysDictTypeService iSysDictTypeService;
//    @Autowired
//    private TaskService taskService; //任务
//    @Value("${shot.storeAddress}")
//    private String storeAddress;
//    @Resource
//    private ThreadPoolTaskExecutor threadPoolTaskExecutor;
//
//    /**
//     * 处理非预警摄像头截图
//     */
//    @Async
//    @Scheduled(fixedRate = 60000)
//    public synchronized void handleNormalPicture() {
//
//        try {
//
//            this.threadPoolTaskExecutor.execute(taskService::getNormalPicture);
//        } catch (Exception e) {
//            e.getMessage();
//            log.error("正常摄像机截图定时任务失败",e);
//        }
//    }
//
//    /**
//     * 处理预警摄像头截图
//     */
//    @Scheduled(fixedRate = 500)
//    public void handleAlarmPicture() {
//        try {
//            this.threadPoolTaskExecutor.execute(taskService::getAlarmPicture);
//        } catch (Exception e) {
//            e.getMessage();
//            log.error("报警摄像机截图定时任务失败",e);
//        }
//    }
//}
