package com.ozs.service.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.service.entity.BaseRailwayManagement;
import com.ozs.service.entity.vo.CameraStateList;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   线路管理表 Mapper 接口
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Mapper
public interface BaseRailwayManagementMapper extends BaseMapper<BaseRailwayManagement> {

    String getCameraNameByCameraCode(@Param("cameraCode") String cameraCode);

    List<BaseRailwayManagement> listRailway();

    List<CameraStateList> cameraStateList();
}
